package com.hotent.project.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.baseInfo.req.CostTaskSearchReq;
import com.hotent.enterpriseDeclare.req.CostTaskPageReq;
import com.hotent.enterpriseDeclare.req.CostTaskReviewPageReq;
import com.hotent.project.model.CostProjectTask;
import com.hotent.base.manager.BaseManager;

import java.util.List;

/**
 * 项目任务表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-03
 */
public interface CostProjectTaskManager extends BaseManager<CostProjectTask> {


	List<CostProjectTask> getTaskList(CostTaskSearchReq req);

	IPage<CostProjectTask> pageListForReviewTask(CostTaskReviewPageReq req);

	void createOrUpdate(CostProjectTask costProjectTask);

	String saveTask(CostTaskPageReq costTaskPageReq);

    String doProcessBtn(CostTaskPageReq req);

}
